#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x4e24b946, "");
SYMBOL_CRC(flow_resources_alloc, 0xeb8a6835, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x1d66c8b4, "");
SYMBOL_CRC(flow_resources_add, 0x710352a0, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x59d6e31c, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x5d2d2ecd, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0xf0053d40, "");
SYMBOL_CRC(uverbs_idr_class, 0x6e8c0492, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x8cf52fb5, "");
SYMBOL_CRC(uverbs_fd_class, 0x77f96d96, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x54b1db07, "");
SYMBOL_CRC(_uverbs_alloc, 0xd57588ad, "");
SYMBOL_CRC(uverbs_get_flags64, 0x7c057edd, "");
SYMBOL_CRC(uverbs_get_flags32, 0x02338f0a, "");
SYMBOL_CRC(uverbs_copy_to, 0x172325af, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0xe9f0598b, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0xcc25cd03, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x2d7e93aa, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xbf72f21d, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x58bc1d86, "");
SYMBOL_CRC(ib_umem_get, 0x41a65498, "");
SYMBOL_CRC(ib_umem_release, 0x9e3cc0ca, "");
SYMBOL_CRC(ib_umem_copy_from, 0x50387ed5, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0x66be5519, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x9a2670a9, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x21b5ea08, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x83539427, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0x2449935e, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0xe34b141f, "");
SYMBOL_CRC(ib_umem_odp_get, 0x5c064279, "");
SYMBOL_CRC(ib_umem_odp_release, 0xdb86cf36, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0x0172da07, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x7447e761, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a8c4b47, "pin_user_pages_fast" },
	{ 0xf1695f99, "mmu_interval_notifier_remove" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8f3b13fc, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x30cf9c32, "anon_inode_getfile" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xcd56625a, "ib_unregister_client" },
	{ 0xf825848, "show_class_attr_string" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x71ebb558, "unpin_user_pages_dirty_lock" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc0494e78, "dev_set_name" },
	{ 0xa4cdcd3e, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0xc71c375, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb2f00cf4, "mmu_interval_read_begin" },
	{ 0xef0d83b3, "ib_create_qp_user" },
	{ 0xd30c9936, "dma_resv_wait_timeout" },
	{ 0x562abb6d, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x4d130dbe, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x74034b92, "kill_fasync" },
	{ 0xd118ff0c, "dma_unmap_page_attrs" },
	{ 0xc8aaf15e, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x773ca392, "fget" },
	{ 0x76f47a6f, "__put_task_struct" },
	{ 0xb7f101f2, "ib_query_srq" },
	{ 0x5e55582b, "ww_mutex_unlock" },
	{ 0x23b074a7, "device_initialize" },
	{ 0xfbed8f2d, "__dynamic_ibdev_dbg" },
	{ 0x8efbce02, "ib_rdmacg_try_charge" },
	{ 0xf84fb22a, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb2d853d2, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xbbcd0218, "unpin_user_page_range_dirty_lock" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa967411b, "iput" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x25d1e1e6, "dma_buf_unpin" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x1e1e7947, "zap_vma_ptes" },
	{ 0x8ad55768, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x361c4e98, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3164f46f, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x823f8e80, "rdma_dev_access_netns" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xdba3b91a, "get_device" },
	{ 0x41aa5e3d, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x68c965ff, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xb3d462a2, "dma_buf_dynamic_attach" },
	{ 0xbc83dbed, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0xabaa95ea, "ib_destroy_srq_user" },
	{ 0x8b5093d6, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x45296a16, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdd3d8195, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xbf0af18e, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x4097bb18, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x293a181e, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0xf5e6bdd8, "ib_modify_qp_with_udata" },
	{ 0x44129f59, "ib_register_event_handler" },
	{ 0x96b1bd9e, "ib_detach_mcast" },
	{ 0x872f114d, "dma_buf_map_attachment" },
	{ 0xf17636c9, "__free_pages" },
	{ 0x26dbd820, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cfedaed, "module_put" },
	{ 0x617242ca, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x28fd851f, "compat_ptr_ioctl" },
	{ 0x21adaea5, "ib_create_srq_user" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xbb5ab551, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x340c41e9, "init_srcu_struct" },
	{ 0x9f472436, "fput" },
	{ 0x835ddb75, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x92950597, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xb58c5014, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xf56359f8, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x9af75953, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xc8ec0f87, "dma_buf_get" },
	{ 0x11963ef1, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xe82eed5d, "nla_put" },
	{ 0x12e940b4, "ww_mutex_lock" },
	{ 0x856f147d, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d1478dc, "ib_qp_usecnt_inc" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x31b2ff20, "dma_buf_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc55b71c8, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x506300cd, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe9b28a7b, "ib_destroy_qp_user" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xecda52e7, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3a2f5fa0, "rdma_create_user_ah" },
	{ 0x96f1d934, "rdma_destroy_ah_user" },
	{ 0xdb986eec, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc193ba88, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0x7ca717e3, "__mmdrop" },
	{ 0xf96a093c, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8fa55099, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0xa1dca39c, "__mmap_lock_do_trace_start_locking" },
	{ 0xc7a7a0e3, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x36a22ff6, "igrab" },
	{ 0xdab42bfc, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x4614275e, "mmput" },
	{ 0x74b85c27, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xc3adcece, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x1489fc10, "__tracepoint_mmap_lock_start_locking" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb111be7e, "__mmap_lock_do_trace_released" },
	{ 0x570dabbe, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x63f5e4fc, "__srcu_read_unlock" },
	{ 0xa7055caa, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x91938bad, "ib_dealloc_xrcd_user" },
	{ 0x3177601b, "dma_buf_detach" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2a49525, "stream_open" },
	{ 0xf3f6ea33, "mmu_interval_notifier_insert" },
	{ 0x336553b0, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x3a715057, "ib_open_qp" },
	{ 0x5c564e32, "ib_dealloc_pd_user" },
	{ 0xcf00df70, "rdma_get_gid_attr" },
	{ 0x5513501e, "dma_unmap_sg_attrs" },
	{ 0x3cc62f27, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xe3d70553, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x77177754, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x1c4bfe5, "rdma_query_gid_table" },
	{ 0xe1485089, "get_task_pid" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe59a04e1, "rdma_restrack_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe3a4da50, "ib_attach_mcast" },
	{ 0x8c8dfa6d, "rdma_umap_priv_init" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xadf98732, "ib_destroy_wq_user" },
	{ 0xd012f1bd, "put_pid" },
	{ 0xd1575c1e, "class_register" },
	{ 0x9f9818a, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd19f02fa, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xc9a110de, "rdma_user_mmap_entry_put" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "6FA0407CBBF47EB89B26238");
