#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ppp_register_net_channel, "", "");
KSYMTAB_FUNC(ppp_register_channel, "", "");
KSYMTAB_FUNC(ppp_unregister_channel, "", "");
KSYMTAB_FUNC(ppp_channel_index, "", "");
KSYMTAB_FUNC(ppp_unit_number, "", "");
KSYMTAB_FUNC(ppp_dev_name, "", "");
KSYMTAB_FUNC(ppp_input, "", "");
KSYMTAB_FUNC(ppp_input_error, "", "");
KSYMTAB_FUNC(ppp_output_wakeup, "", "");
KSYMTAB_FUNC(ppp_register_compressor, "", "");
KSYMTAB_FUNC(ppp_unregister_compressor, "", "");

SYMBOL_CRC(ppp_register_net_channel, 0xd8fcd795, "");
SYMBOL_CRC(ppp_register_channel, 0x81aa58fd, "");
SYMBOL_CRC(ppp_unregister_channel, 0x840a6d93, "");
SYMBOL_CRC(ppp_channel_index, 0xb217f3e5, "");
SYMBOL_CRC(ppp_unit_number, 0xf37c4ecd, "");
SYMBOL_CRC(ppp_dev_name, 0x71f169bf, "");
SYMBOL_CRC(ppp_input, 0xf9df8d86, "");
SYMBOL_CRC(ppp_input_error, 0x6641539d, "");
SYMBOL_CRC(ppp_output_wakeup, 0x9e90899c, "");
SYMBOL_CRC(ppp_register_compressor, 0xb3cf51ee, "");
SYMBOL_CRC(ppp_unregister_compressor, 0x6cab3d7d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xfb578fc5, "memset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x241ee65d, "bpf_prog_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x8f3b13fc, "try_module_get" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x18df9ed3, "register_pernet_device" },
	{ 0xe1c501bd, "__register_chrdev" },
	{ 0xe85b9af, "class_create" },
	{ 0x956472ca, "rtnl_link_register" },
	{ 0x891a7480, "device_create" },
	{ 0x8f347b25, "unregister_pernet_device" },
	{ 0x38d31968, "class_destroy" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xa34b2186, "rtnl_link_unregister" },
	{ 0x5b02be5c, "device_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x83a48581, "skb_dequeue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x12b70d71, "iov_iter_init" },
	{ 0x7c8e8b93, "skb_copy_datagram_iter" },
	{ 0xd19f02fa, "kmalloc_caches" },
	{ 0xe3d70553, "kmalloc_trace" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe2964344, "__wake_up" },
	{ 0x20978fb9, "idr_find" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc9b4ce62, "netdev_name_in_use" },
	{ 0x1172bae3, "register_netdevice" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x773ca392, "fget" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9f472436, "fput" },
	{ 0xbf46251b, "__put_net" },
	{ 0x38c5ac3a, "__netdev_alloc_skb" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x938c6d2a, "__pskb_pull_tail" },
	{ 0x74b8e674, "slhc_toss" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xa9e64587, "netdev_printk" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9846be9e, "skb_push" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x43f9ebc8, "slhc_remember" },
	{ 0xd5210458, "skb_copy_bits" },
	{ 0xf36f42a9, "slhc_uncompress" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x20c1270a, "pskb_expand_head" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x628a1b56, "skb_trim" },
	{ 0xe6214b8, "skb_pull_rcsum" },
	{ 0x5115c25d, "skb_scrub_packet" },
	{ 0x2d391892, "netif_rx" },
	{ 0xdcdc0040, "slhc_compress" },
	{ 0x380fbaf9, "netif_tx_wake_queue" },
	{ 0x5505a899, "skb_queue_head" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x47d962f0, "alloc_netdev_mqs" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x15f90688, "slhc_init" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0x3278f5a8, "param_ops_bool" },
	{ 0xf9a2e1dd, "noop_llseek" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cfedaed, "module_put" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x677c9bfa, "netdev_err" },
	{ 0x2a928918, "slhc_free" },
	{ 0x5a89982f, "skb_queue_purge_reason" },
	{ 0x1061ce04, "bpf_prog_destroy" },
	{ 0x30e6838c, "kfree_skb_reason" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8dfd7de2, "free_netdev" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xec81a125, "__alloc_skb" },
	{ 0xc1548f7b, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x304191d7, "skb_queue_tail" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xafa9c1e7, "consume_skb" },
	{ 0xc4ed4ac6, "skb_pull" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf1ebc85a, "unregister_netdevice_queue" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "slhc");


MODULE_INFO(srcversion, "62B0D45125118BAE2784DA2");
