#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xc2c5e89e, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x8d9bb977, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x8cd11c78, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xbff97f1d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xa4777e7d, "__skb_checksum_complete" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xaf794f35, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xd5210458, "skb_copy_bits" },
	{ 0xb72bd64c, "__nlmsg_put" },
	{ 0x5ab1ac9, "netdev_adjacent_change_commit" },
	{ 0xd0ba00f3, "eth_mac_addr" },
	{ 0xc1548f7b, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdf131d51, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3dcc4f9a, "ip6_dst_hoplimit" },
	{ 0x832d654f, "param_ops_ushort" },
	{ 0xafa9c1e7, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xe81dcfb8, "nla_put_64bit" },
	{ 0x50da1190, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9cc185b7, "dst_cache_set_ip4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x136a532c, "udp_tunnel6_xmit_skb" },
	{ 0x956472ca, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcfe6fb59, "netif_inherit_tso_max" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x1f5eefed, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0x4b1a1f4d, "gro_cells_init" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb8d28f7c, "rtnl_create_link" },
	{ 0x48ebbee3, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xf1ebc85a, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x483b202e, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2a9c671a, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x99e5632c, "udp_tunnel_drop_rx_port" },
	{ 0x20c1270a, "pskb_expand_head" },
	{ 0xc6fca75b, "netdev_upper_dev_link" },
	{ 0x97bdc21b, "register_pernet_subsys" },
	{ 0xd2f8593d, "dev_addr_mod" },
	{ 0xadf69059, "netdev_core_stats_alloc" },
	{ 0x545503c, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb16ce7a3, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xec81a125, "__alloc_skb" },
	{ 0x50d55b76, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x79438bd1, "eth_gro_complete" },
	{ 0xc7e3d648, "rtnl_set_sk_err" },
	{ 0x1fed26ba, "eth_gro_receive" },
	{ 0x44db9eae, "rtnl_configure_link" },
	{ 0x7a75370d, "skb_tunnel_check_pmtu" },
	{ 0x78e53958, "peernet2id" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x7d246378, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x4724f4f3, "__dev_get_by_index" },
	{ 0xa34b2186, "rtnl_link_unregister" },
	{ 0x35904772, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x60efc88e, "ipv6_stub" },
	{ 0xc4ed4ac6, "skb_pull" },
	{ 0x8bd466c5, "gro_find_complete_by_type" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x83b505f5, "dev_get_by_index_rcu" },
	{ 0x30e6838c, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf01ecef5, "gro_cells_receive" },
	{ 0x9846be9e, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xcb179e53, "netdev_upper_dev_unlink" },
	{ 0xe82eed5d, "nla_put" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x83755144, "__rtnl_register_many" },
	{ 0x8dfd7de2, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x604624ab, "ip_mc_join_group" },
	{ 0x9803414e, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x6fa25bc3, "lock_sock_nested" },
	{ 0x716f3c0a, "ethtool_op_get_link" },
	{ 0x7c99ce58, "nexthop_find_by_id" },
	{ 0x34878874, "arp_create" },
	{ 0xc7e6ea32, "__ethtool_get_link_ksettings" },
	{ 0x832e5fd5, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5627ed, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xdd8bdb21, "rhashtable_free_and_destroy" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5ba1eb9e, "netdev_adjacent_change_abort" },
	{ 0xef847d7, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x890e8064, "__iptunnel_pull_header" },
	{ 0x938c6d2a, "__pskb_pull_tail" },
	{ 0xe853f3e8, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2d391892, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0x97e80d0b, "setup_udp_tunnel_sock" },
	{ 0xc8f1090c, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x628a1b56, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x59c95179, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5115c25d, "skb_scrub_packet" },
	{ 0x3e09ce4f, "nexthop_select_path" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd9a7b123, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9c61a177, "dst_cache_get_ip6" },
	{ 0xf686c648, "neigh_destroy" },
	{ 0xd29b53d8, "dst_cache_get_ip4" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x3278f5a8, "param_ops_bool" },
	{ 0xd1bcb924, "udp_tun_rx_dst" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x328b7318, "dst_cache_set_ip6" },
	{ 0x7bfdd3ae, "rtnl_notify" },
	{ 0xb75be46d, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7106efe6, "__netif_rx" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xdceae2c5, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x3f4d11ac, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xed2418a2, "dst_release" },
	{ 0xe630d6ea, "unregister_nexthop_notifier" },
	{ 0x82cc691, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc2a9ad48, "udp_tunnel_notify_del_rx_port" },
	{ 0xe83acc61, "register_nexthop_notifier" },
	{ 0x2a42742f, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe3d70553, "kmalloc_trace" },
	{ 0xa20308e5, "__rtnl_unregister_many" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x43123fe9, "gro_find_receive_by_type" },
	{ 0xd19f02fa, "kmalloc_caches" },
	{ 0xada1737f, "netdev_info" },
	{ 0x3888a632, "neigh_lookup" },
	{ 0x30568e7d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1172bae3, "register_netdevice" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "A27C777E8AB621B4606F933");
