#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0x24c2367f, "");
SYMBOL_CRC(ath11k_core_resume, 0x11606667, "");
SYMBOL_CRC(ath11k_core_pre_init, 0xff288a9d, "");
SYMBOL_CRC(ath11k_core_init, 0x3aedf29e, "");
SYMBOL_CRC(ath11k_core_deinit, 0xf38b7f63, "");
SYMBOL_CRC(ath11k_core_free, 0x75ab9cb8, "");
SYMBOL_CRC(ath11k_core_alloc, 0xb96170cc, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0x317af2d3, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0x4eca0a98, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0xb0ea2fab, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0x818be189, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x1bcaae26, "");
SYMBOL_CRC(ath11k_info, 0xa3a25817, "");
SYMBOL_CRC(ath11k_err, 0x6465cc60, "");
SYMBOL_CRC(ath11k_warn, 0x0f88567a, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0xd3ef28dd, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x106e503f, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0x7e02e7d1, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0xbee3a426, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0x470830b8, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0xfa259f15, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0xd937f08c, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0xaeddcef7, "");
SYMBOL_CRC(ath11k_pcic_write32, 0x14a5eaf0, "");
SYMBOL_CRC(ath11k_pcic_read32, 0xa49286ae, "");
SYMBOL_CRC(ath11k_pcic_read, 0x40217453, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0x6d0270bf, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0x06e15cf9, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0x02d7acc3, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0xd84491d0, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0xef60b11b, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0xfb43c1ba, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0xc2c5d8b7, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0xf059d9c5, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0xb17c4fd3, "");
SYMBOL_CRC(ath11k_pcic_stop, 0x46510c32, "");
SYMBOL_CRC(ath11k_pcic_start, 0x57d04720, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0x2acc932b, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0x336d5741, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0xbcd6b7f9, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0x796d46c4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36dc94fc, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x3433db01, "ieee80211_gtk_rekey_notify" },
	{ 0xca6954a6, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x7e2e7b14, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd6535f6d, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x20978fb9, "idr_find" },
	{ 0x460a1388, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc1548f7b, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb2db8df5, "firmware_request_nowarn" },
	{ 0x943fc79d, "qmi_handle_init" },
	{ 0xafa9c1e7, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7dcac306, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xe4556d, "device_get_mac_address" },
	{ 0xa1cd9ea5, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x83a48581, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9e667b5e, "ieee80211_free_hw" },
	{ 0xd118ff0c, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe6ee7ef1, "ieee80211_iterate_stations_atomic" },
	{ 0xc6f47e1a, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x101e41a9, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x92ed060d, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2bbc96d1, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0xad641142, "thermal_cooling_device_register" },
	{ 0xf243476d, "ieee80211_register_hw" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0x22b3e5ef, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xd90ea01, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa116b1fa, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1c42459d, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20c1270a, "pskb_expand_head" },
	{ 0xf64296ef, "dev_driver_string" },
	{ 0xb64b0add, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5edf8387, "ieee80211_find_sta" },
	{ 0xdd3d8195, "dma_map_page_attrs" },
	{ 0xdcbd21f, "qmi_send_request" },
	{ 0xe97cdfb4, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xd7993f6d, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf73a6351, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x53155a7f, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x20f13b2c, "__napi_schedule" },
	{ 0xfbb60a03, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6a9dfbfd, "qmi_txn_wait" },
	{ 0x5dedce4d, "_dev_info" },
	{ 0x304191d7, "skb_queue_tail" },
	{ 0x5da48bcd, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4a5b41a7, "sysfs_create_link" },
	{ 0xaa66b17a, "ieee80211_obss_color_collision_notify" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x18f003dd, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x56657a7f, "ieee80211_queue_delayed_work" },
	{ 0x35904772, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x92950597, "_dev_err" },
	{ 0xb0e3b3a, "crypto_shash_setkey" },
	{ 0xc4ed4ac6, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb97c68c7, "qmi_txn_cancel" },
	{ 0xc5864e57, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x61ae8a4d, "ieee80211_find_sta_by_ifaddr" },
	{ 0x30e6838c, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe9127841, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9846be9e, "skb_push" },
	{ 0x3831e859, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x55ec0b18, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x12c31de4, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x71b819c, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x25f5f563, "qmi_txn_init" },
	{ 0xcfdab052, "ieee80211_report_low_ack" },
	{ 0x17db5db8, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0x1b2d1e64, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa792bbc5, "ieee80211_free_txskb" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x695805d1, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x88a84df0, "cfg80211_get_bss" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x351a6d63, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x3c525595, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xc95d567b, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x59ad19dd, "_dev_warn" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb538566, "ieee80211_beacon_free_ema_list" },
	{ 0x38c5ac3a, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0x71543353, "ieee80211_ready_on_channel" },
	{ 0x4a1b0b36, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x628a1b56, "skb_trim" },
	{ 0xfae934ce, "qmi_handle_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9145f519, "ieee80211_vif_to_wdev" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdc83da8a, "dma_free_attrs" },
	{ 0xa0314311, "ieee80211_scan_completed" },
	{ 0x77cf82af, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x4ca8ab39, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x3278f5a8, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x15fc5832, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3d8ecd, "ieee80211_color_change_finish" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xac201495, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x55adfd76, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe3d70553, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3d090305, "ieee80211_queue_work" },
	{ 0x6a6cbc62, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xdba1755, "napi_disable" },
	{ 0xdf706667, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x9821f162, "regulatory_set_wiphy_regd" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x56b5f213, "crypto_alloc_shash" },
	{ 0x92073847, "ieee80211_beacon_get_template_ema_list" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xad5d295f, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x8e403573, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd19f02fa, "kmalloc_caches" },
	{ 0xee406dd9, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x95dc86b3, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,qmi_helpers,cfg80211");


MODULE_INFO(srcversion, "6586A9DBFF8294105D256A7");
