#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0xed1b6c38, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0x84384cbf, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x5983ba8f, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0x84bb0422, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0x4b22ee28, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0xb012073b, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0xe24b9502, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0x27f24e29, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0x30fca9f3, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0xc6560c25, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0x35be7577, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0x6ae61f61, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0xf77b7514, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0x0f0bcf39, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0x2a3b164d, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0x1d9f061f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb884a20e, "usb_control_msg" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92950597, "_dev_err" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x20904e86, "usb_anchor_urb" },
	{ 0x10b6a182, "usb_submit_urb" },
	{ 0xc11f67f5, "usb_unanchor_urb" },
	{ 0xd19f02fa, "kmalloc_caches" },
	{ 0xe3d70553, "kmalloc_trace" },
	{ 0x511a40a1, "usb_alloc_urb" },
	{ 0xad58bfcc, "usb_free_urb" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x8603054b, "rt2x00lib_dmastart" },
	{ 0x268039fc, "rt2x00lib_dmadone" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x942ac25b, "__skb_pad" },
	{ 0x59ad19dd, "_dev_warn" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6e57c473, "rt2x00queue_for_each_entry" },
	{ 0xe9cf68dc, "usb_kill_urb" },
	{ 0xcb161664, "rt2x00queue_get_entry" },
	{ 0xa34d5d14, "rt2x00queue_stop_queue" },
	{ 0x36b112cf, "rt2x00queue_flush_queue" },
	{ 0xc3b4615a, "rt2x00queue_start_queue" },
	{ 0x200c9d25, "rt2x00lib_txdone_noinfo" },
	{ 0xd2f84601, "rt2x00lib_rxdone" },
	{ 0x95980236, "rt2x00lib_suspend" },
	{ 0x9f5f73de, "rt2x00lib_resume" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x82fbd1df, "hrtimer_cancel" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x85740587, "rt2x00lib_remove_dev" },
	{ 0x9e667b5e, "ieee80211_free_hw" },
	{ 0xc0e36ef7, "usb_put_dev" },
	{ 0xc519955c, "usb_get_dev" },
	{ 0x7be7a83c, "usb_reset_device" },
	{ 0x695805d1, "ieee80211_alloc_hw_nm" },
	{ 0x8f49645e, "hrtimer_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x59dcf8be, "devm_kmalloc" },
	{ 0xfb578fc5, "memset" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x879e786b, "rt2x00lib_probe_dev" },
	{ 0x122c3a7e, "_printk" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "67708E3B0DC0029635F7F52");
