#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x954f16b7, "_gpl");
SYMBOL_CRC(dccp_req_err, 0x813d3c55, "");
SYMBOL_CRC(dccp_v4_send_check, 0xefb267b5, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0xe25cb80d, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x26afd8bd, "");
SYMBOL_CRC(dccp_v4_conn_request, 0xdc5502b2, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0xd6c8a6ee, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x21a57aae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x12d34a0b, "__inet_lookup_established" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x9aca06a6, "inet_bhash2_reset_saddr" },
	{ 0x93c8083e, "inet_csk_addr2sockaddr" },
	{ 0xbd821954, "inet_unregister_protosw" },
	{ 0xe3419ac0, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6ad2d1f9, "dccp_shutdown" },
	{ 0x9780b3e2, "inet_bhash2_update_saddr" },
	{ 0x114178a6, "dccp_connect" },
	{ 0x91d8420f, "dccp_rcv_state_process" },
	{ 0x4917d753, "dccp_reqsk_send_ack" },
	{ 0x5451e3be, "inet_lookup_reuseport" },
	{ 0x325583bd, "__inet_lookup_listener" },
	{ 0x635af1ce, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x71969151, "sock_common_getsockopt" },
	{ 0x31c682a2, "inet_bind" },
	{ 0x7f461189, "__inet_inherit_port" },
	{ 0x4b79d580, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0xb48d6d85, "inet_register_protosw" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x3f1a3755, "__xfrm_policy_check" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x49b54417, "sock_common_setsockopt" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x48ebbee3, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xc64c2e6a, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f27b7c6, "sk_error_report" },
	{ 0x97bdc21b, "register_pernet_subsys" },
	{ 0x2331a9c0, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xed904909, "inet_getname" },
	{ 0xfca8da83, "inet_stream_connect" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x1bf5d990, "proto_unregister" },
	{ 0xde2a0e98, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe692fc55, "inet_ehashfn" },
	{ 0xf87b0872, "inet_twsk_purge" },
	{ 0xe26d9f64, "dccp_done" },
	{ 0x4de6d8d4, "inet_release" },
	{ 0x943ea31e, "__sk_dst_check" },
	{ 0x756763b4, "dccp_disconnect" },
	{ 0x4531a991, "ip_route_output_key_hash" },
	{ 0x77512f0e, "proto_register" },
	{ 0xb195be88, "inet_hash" },
	{ 0xd833db61, "__sk_receive_skb" },
	{ 0x8e52622e, "dccp_poll" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xda6af365, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x4a828d18, "inet_csk_get_port" },
	{ 0x6594ce2c, "inet_ioctl" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0xb738a12e, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0xe27e49cb, "inet_accept" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x7eb60b1a, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd2f688a8, "ip6_mtu" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0x3b09854, "inet_add_protocol" },
	{ 0x631bef36, "inet_shutdown" },
	{ 0x3096f1e7, "sk_free" },
	{ 0xed53a506, "dccp_close" },
	{ 0x30e6838c, "kfree_skb_reason" },
	{ 0x173eb58b, "dccp_reqsk_init" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8a53287d, "inet_hash_connect" },
	{ 0xb387925f, "kmem_cache_free" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xacff1268, "inet_csk_route_child_sock" },
	{ 0xe1f5b7f4, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x572d95e6, "security_sk_classify_flow" },
	{ 0x1650e0e9, "inet_csk_update_pmtu" },
	{ 0xc4c039d8, "dccp_getsockopt" },
	{ 0x19e24826, "dccp_parse_options" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5627ed, "unregister_pernet_subsys" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x3f993919, "skb_checksum" },
	{ 0xfde319c8, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x61a34497, "sock_no_mmap" },
	{ 0x938c6d2a, "__pskb_pull_tail" },
	{ 0x81487ac6, "dccp_child_process" },
	{ 0xf1659a19, "sock_common_recvmsg" },
	{ 0xbd3a009e, "dccp_setsockopt" },
	{ 0x80be0646, "dccp_ioctl" },
	{ 0xff51906a, "inet_sk_rebuild_header" },
	{ 0xbe73c671, "inet_del_protocol" },
	{ 0x5ae5cb7e, "ipv4_mtu" },
	{ 0x770bbabb, "dccp_recvmsg" },
	{ 0x7e5e2c2f, "inet_sendmsg" },
	{ 0x91b5f21c, "dccp_check_req" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9bcb835f, "dccp_create_openreq_child" },
	{ 0x8dc2b66a, "inet_csk_prepare_forced_close" },
	{ 0x8c1f146a, "sock_pfree" },
	{ 0xcf1a4d4e, "dccp_rcv_established" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xa6e9a9ce, "dccp_send_sync" },
	{ 0xed2418a2, "dst_release" },
	{ 0x8a3dc62b, "sock_release" },
	{ 0x5e7e6464, "dccp_make_response" },
	{ 0xa00ef661, "dccp_destroy_sock" },
	{ 0x5eb28f3b, "dccp_ctl_make_reset" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xae70038b, "sock_gettstamp" },
	{ 0x4d6af760, "sk_setup_caps" },
	{ 0x4e9ee4c6, "ip_build_and_send_pkt" },
	{ 0x53cd9099, "dccp_sendmsg" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x347ba297, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0xbefd20d4, "inet_twsk_put" },
	{ 0x393e73c9, "inet_unhash" },
	{ 0xb10e5a62, "ip_getsockopt" },
	{ 0xee7d3ca5, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3cec9b69, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x223889ae, "inet_csk_reqsk_queue_drop" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "7CD7B0311F5E62658C36AA3");
