#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x908a3fab, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x8b00f783, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xaf67ab62, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x794b85fb, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x69505288, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x7803147f, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xe064a373, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x3cafd366, "");
SYMBOL_CRC(ip_vs_conn_put, 0xfb2126c9, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xff52005c, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x4691dc6e, "");
SYMBOL_CRC(register_ip_vs_app, 0x9bf9c2a6, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x44bc0fe8, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x1b7e54c2, "");
SYMBOL_CRC(ip_vs_proto_get, 0x42c7f9dd, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x58394627, "");
SYMBOL_CRC(register_ip_vs_pe, 0x0f688ed5, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xffc01c69, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x7b398371, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c894e4, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x406fef8f, "nf_conntrack_find_get" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8f3b13fc, "try_module_get" },
	{ 0xf53f9e4e, "__ip_select_ident" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xaf794f35, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x692537c, "icmp6_send" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xd5210458, "skb_copy_bits" },
	{ 0x6f144efe, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0xafa9c1e7, "consume_skb" },
	{ 0x2a88ad46, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5c151333, "mod_timer_pending" },
	{ 0x1d10481c, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x123392d, "nf_register_sockopt" },
	{ 0xe81dcfb8, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe6082ed2, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x85675e0c, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x950ba738, "kernel_bind" },
	{ 0x70b2cc51, "set_user_nice" },
	{ 0xc96c281, "genlmsg_put" },
	{ 0xc93009c1, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x2b131555, "ip6_output" },
	{ 0x6da2389f, "ip6_route_me_harder" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5133defe, "__module_get" },
	{ 0x48ebbee3, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x4ceac036, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x483b202e, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfaa831e8, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x7abffe79, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20c1270a, "pskb_expand_head" },
	{ 0x97bdc21b, "register_pernet_subsys" },
	{ 0xab9daa42, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xce0e3ebf, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xba59ba4e, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x836dd8e8, "nf_register_net_hooks" },
	{ 0x525c799f, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0xec81a125, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x282a0bb9, "kmem_cache_alloc" },
	{ 0xcb9f2b8, "ipv6_sock_mc_join" },
	{ 0x7cfedaed, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x8704a04c, "ipv6_dev_get_saddr" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x35904772, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x9846eaf9, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xd2f688a8, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x2ad1a8a7, "netlink_unicast" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x5f6b2dc3, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xef3f833f, "nf_conntrack_alter_reply" },
	{ 0x24af372f, "ip_route_me_harder" },
	{ 0x30e6838c, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9846be9e, "skb_push" },
	{ 0xb387925f, "kmem_cache_free" },
	{ 0x466be0ae, "set_cpus_allowed_ptr" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xeb7b5f4e, "seq_putc" },
	{ 0xe82eed5d, "nla_put" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0xdf383731, "nf_ct_expect_alloc" },
	{ 0xe7791353, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xeb6a5e36, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x604624ab, "ip_mc_join_group" },
	{ 0xd875361, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0x6a0c3339, "nf_unregister_net_hooks" },
	{ 0x99306b1, "inet_select_addr" },
	{ 0x8f347b25, "unregister_pernet_device" },
	{ 0x6fa25bc3, "lock_sock_nested" },
	{ 0xbd9aa108, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xc68044e8, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3063fc2d, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5627ed, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x3c525595, "kernel_connect" },
	{ 0x3f993919, "skb_checksum" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x74257663, "ip_defrag" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x938c6d2a, "__pskb_pull_tail" },
	{ 0x3c0df45d, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x628a1b56, "skb_trim" },
	{ 0x162c4aeb, "nf_hook_slow" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xddb41733, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x96650c8c, "nf_ct_deliver_cached_events" },
	{ 0xc7b9d697, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb71fe89d, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x471e687b, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5ae5cb7e, "ipv4_mtu" },
	{ 0x1e5c28cd, "skb_set_owner_w" },
	{ 0x5ca8250c, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x47065918, "sock_create_kern" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xcc827177, "init_user_ns" },
	{ 0x64e9515d, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x883c2301, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8a99c4b, "seq_printf" },
	{ 0xf9f2197f, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x145c362f, "proc_create_net_single" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x7231a7c7, "ipv4_update_pmtu" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x365de78d, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xed2418a2, "dst_release" },
	{ 0x8a3dc62b, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0xcc1e2f6e, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0xe444b13c, "ip_local_out" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x5bbbb379, "genl_unregister_family" },
	{ 0xe3d70553, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x38e03660, "udp6_set_csum" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xaf6c103d, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6519a9a9, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x850d3603, "kernel_sendmsg" },
	{ 0xab01997e, "nf_ct_netns_put" },
	{ 0x18df9ed3, "register_pernet_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xd19f02fa, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x93069849, "kmem_cache_destroy" },
	{ 0x30568e7d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_defrag_ipv6");


MODULE_INFO(srcversion, "B47FFCF2C7590083D7EA02A");
