#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_async_nf_init, "", "");
KSYMTAB_FUNC(v4l2_async_subdev_nf_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_nf_register, "", "");
KSYMTAB_FUNC(v4l2_async_nf_unregister, "", "");
KSYMTAB_FUNC(v4l2_async_nf_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode_remote, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_i2c, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_subdev_endpoint_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_connection_unique, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev, "", "");
KSYMTAB_FUNC(v4l2_async_unregister_subdev, "", "");

SYMBOL_CRC(v4l2_async_nf_init, 0x09cf11b1, "");
SYMBOL_CRC(v4l2_async_subdev_nf_init, 0xf9d664aa, "_gpl");
SYMBOL_CRC(v4l2_async_nf_register, 0xd5b166a5, "");
SYMBOL_CRC(v4l2_async_nf_unregister, 0xe0e4ebc4, "");
SYMBOL_CRC(v4l2_async_nf_cleanup, 0xe086d6be, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode, 0xe125161e, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode_remote, 0xac00f724, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_i2c, 0x7ac67beb, "_gpl");
SYMBOL_CRC(v4l2_async_subdev_endpoint_add, 0xfb48e2ee, "_gpl");
SYMBOL_CRC(v4l2_async_connection_unique, 0x36af37d2, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev, 0x20afa3b5, "");
SYMBOL_CRC(v4l2_async_unregister_subdev, 0x4af62df7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xcdedd5a4, "i2c_verify_client" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x145b9f69, "debugfs_create_dir" },
	{ 0xbe051091, "debugfs_create_file" },
	{ 0x374514c6, "single_open" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8a99c4b, "seq_printf" },
	{ 0xe0802e8d, "fwnode_property_present" },
	{ 0xf8d3cf4d, "fwnode_graph_get_port_parent" },
	{ 0x9c15285f, "fwnode_handle_put" },
	{ 0x66141871, "fwnode_handle_get" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd9051b60, "debugfs_remove" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x37a0cba, "kfree" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd19f02fa, "kmalloc_caches" },
	{ 0xe3d70553, "kmalloc_trace" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x1b51f11f, "fwnode_graph_get_remote_endpoint" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x60ec758d, "v4l2_device_unregister_subdev" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb596b9d3, "v4l2_subdev_put_privacy_led" },
	{ 0x2a86319b, "__dynamic_dev_dbg" },
	{ 0xdafb4dc1, "__dev_fwnode" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x29b7d2dc, "v4l2_device_register_subdev" },
	{ 0xd4fa3c3d, "media_create_ancillary_link" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x92950597, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x59ad19dd, "_dev_warn" },
	{ 0xdb27872e, "seq_lseek" },
	{ 0x2a9633c6, "seq_read" },
	{ 0x4cc2a43a, "single_release" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "i2c-core,videodev,mc");


MODULE_INFO(srcversion, "86502B47ACF1830AE1D5A4B");
