#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(liquidio_set_ethtool_ops, "_gpl", "");
KSYMTAB_FUNC(lio_delete_glists, "_gpl", "");
KSYMTAB_FUNC(lio_setup_glists, "_gpl", "");
KSYMTAB_FUNC(liquidio_set_feature, "_gpl", "");
KSYMTAB_FUNC(liquidio_link_ctrl_cmd_completion, "_gpl", "");
KSYMTAB_FUNC(setup_rx_oom_poll_fn, "_gpl", "");
KSYMTAB_FUNC(cleanup_rx_oom_poll_fn, "_gpl", "");
KSYMTAB_FUNC(liquidio_setup_io_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_interrupt, "_gpl", "");
KSYMTAB_FUNC(liquidio_change_mtu, "_gpl", "");
KSYMTAB_FUNC(lio_wait_for_clean_oq, "_gpl", "");
KSYMTAB_FUNC(lio_fetch_stats, "_gpl", "");
KSYMTAB_FUNC(liquidio_get_speed, "_gpl", "");
KSYMTAB_FUNC(liquidio_get_fec, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_instr_queue, "_gpl", "");
KSYMTAB_FUNC(lio_wait_for_instr_fetch, "_gpl", "");
KSYMTAB_FUNC(octeon_ring_doorbell_locked, "_gpl", "");
KSYMTAB_FUNC(octeon_register_reqtype_free_fn, "_gpl", "");
KSYMTAB_FUNC(lio_process_iq_request_list, "_gpl", "");
KSYMTAB_FUNC(octeon_send_command, "_gpl", "");
KSYMTAB_FUNC(octeon_prepare_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_send_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_sc_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_done_list, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_zombie_list, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(octeon_alloc_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_free_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_response_list, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_response_list, "_gpl", "");
KSYMTAB_FUNC(lio_process_ordered_list, "_gpl", "");
KSYMTAB_FUNC(octeon_init_device_list, "_gpl", "");
KSYMTAB_FUNC(lio_get_state_string, "_gpl", "");
KSYMTAB_FUNC(octeon_free_device_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_allocate_device, "_gpl", "");
KSYMTAB_FUNC(octeon_register_device, "_gpl", "");
KSYMTAB_FUNC(octeon_deregister_device, "_gpl", "");
KSYMTAB_FUNC(octeon_allocate_ioq_vector, "_gpl", "");
KSYMTAB_FUNC(octeon_free_ioq_vector, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_instr_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_output_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_set_io_queues_off, "_gpl", "");
KSYMTAB_FUNC(octeon_init_dispatch_list, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_dispatch_list, "_gpl", "");
KSYMTAB_FUNC(octeon_register_dispatch_fn, "_gpl", "");
KSYMTAB_FUNC(octeon_core_drv_init, "_gpl", "");
KSYMTAB_FUNC(octeon_get_tx_qsize, "_gpl", "");
KSYMTAB_FUNC(octeon_get_rx_qsize, "_gpl", "");
KSYMTAB_FUNC(octeon_get_conf, "_gpl", "");
KSYMTAB_FUNC(lio_get_device, "_gpl", "");
KSYMTAB_FUNC(lio_pci_readq, "_gpl", "");
KSYMTAB_FUNC(lio_pci_writeq, "_gpl", "");
KSYMTAB_FUNC(octeon_mem_access_ok, "_gpl", "");
KSYMTAB_FUNC(octeon_wait_for_ddr_init, "_gpl", "");
KSYMTAB_FUNC(lio_enable_irq, "_gpl", "");
KSYMTAB_FUNC(lio_setup_cn66xx_octeon_device, "_gpl", "");
KSYMTAB_FUNC(lio_setup_cn68xx_octeon_device, "_gpl", "");
KSYMTAB_FUNC(setup_cn23xx_octeon_pf_device, "_gpl", "");
KSYMTAB_FUNC(cn23xx_fw_loaded, "_gpl", "");
KSYMTAB_FUNC(cn23xx_tell_vf_its_macaddr_changed, "_gpl", "");
KSYMTAB_FUNC(cn23xx_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(cn23xx_vf_ask_pf_to_do_flr, "_gpl", "");
KSYMTAB_FUNC(cn23xx_octeon_pfvf_handshake, "_gpl", "");
KSYMTAB_FUNC(cn23xx_setup_octeon_vf_device, "_gpl", "");
KSYMTAB_FUNC(octeon_pci_read_core_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_pci_write_core_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_read_device_mem64, "_gpl", "");
KSYMTAB_FUNC(octeon_read_device_mem32, "_gpl", "");
KSYMTAB_FUNC(octeon_write_device_mem32, "_gpl", "");
KSYMTAB_FUNC(octeon_droq_check_hw_for_pkts, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_droq, "_gpl", "");
KSYMTAB_FUNC(octeon_droq_process_packets, "_gpl", "");
KSYMTAB_FUNC(octeon_unregister_droq_ops, "_gpl", "");
KSYMTAB_FUNC(octeon_alloc_soft_command_resp, "_gpl", "");
KSYMTAB_FUNC(octnet_send_nic_data_pkt, "_gpl", "");
KSYMTAB_FUNC(octnet_send_nic_ctrl_pkt, "_gpl", "");

SYMBOL_CRC(liquidio_set_ethtool_ops, 0xd007eb68, "_gpl");
SYMBOL_CRC(lio_delete_glists, 0x61cbd790, "_gpl");
SYMBOL_CRC(lio_setup_glists, 0x4b6abde7, "_gpl");
SYMBOL_CRC(liquidio_set_feature, 0xb0872587, "_gpl");
SYMBOL_CRC(liquidio_link_ctrl_cmd_completion, 0x19cb4e69, "_gpl");
SYMBOL_CRC(setup_rx_oom_poll_fn, 0x15f3771f, "_gpl");
SYMBOL_CRC(cleanup_rx_oom_poll_fn, 0x3cf956e2, "_gpl");
SYMBOL_CRC(liquidio_setup_io_queues, 0xcd39704e, "_gpl");
SYMBOL_CRC(octeon_setup_interrupt, 0x7cce6e44, "_gpl");
SYMBOL_CRC(liquidio_change_mtu, 0x152a478d, "_gpl");
SYMBOL_CRC(lio_wait_for_clean_oq, 0x004418ab, "_gpl");
SYMBOL_CRC(lio_fetch_stats, 0x1aa978db, "_gpl");
SYMBOL_CRC(liquidio_get_speed, 0x6cce36a5, "_gpl");
SYMBOL_CRC(liquidio_get_fec, 0x1688e3d3, "_gpl");
SYMBOL_CRC(octeon_delete_instr_queue, 0x3e908e60, "_gpl");
SYMBOL_CRC(lio_wait_for_instr_fetch, 0x7d690992, "_gpl");
SYMBOL_CRC(octeon_ring_doorbell_locked, 0xe7d38db2, "_gpl");
SYMBOL_CRC(octeon_register_reqtype_free_fn, 0x5669a406, "_gpl");
SYMBOL_CRC(lio_process_iq_request_list, 0xc3dd5de2, "_gpl");
SYMBOL_CRC(octeon_send_command, 0x84737b30, "_gpl");
SYMBOL_CRC(octeon_prepare_soft_command, 0x44b1f2f1, "_gpl");
SYMBOL_CRC(octeon_send_soft_command, 0x630301a5, "_gpl");
SYMBOL_CRC(octeon_setup_sc_buffer_pool, 0xf4cfc32b, "_gpl");
SYMBOL_CRC(octeon_free_sc_done_list, 0x55430ea9, "_gpl");
SYMBOL_CRC(octeon_free_sc_zombie_list, 0x4210ec38, "_gpl");
SYMBOL_CRC(octeon_free_sc_buffer_pool, 0xd6587763, "_gpl");
SYMBOL_CRC(octeon_alloc_soft_command, 0x87ea6222, "_gpl");
SYMBOL_CRC(octeon_free_soft_command, 0x47599d87, "_gpl");
SYMBOL_CRC(octeon_setup_response_list, 0xc1d0200e, "_gpl");
SYMBOL_CRC(octeon_delete_response_list, 0x93f029cd, "_gpl");
SYMBOL_CRC(lio_process_ordered_list, 0x3dd4f450, "_gpl");
SYMBOL_CRC(octeon_init_device_list, 0x6d0d28ef, "_gpl");
SYMBOL_CRC(lio_get_state_string, 0xec7f00a5, "_gpl");
SYMBOL_CRC(octeon_free_device_mem, 0xc6654e42, "_gpl");
SYMBOL_CRC(octeon_allocate_device, 0x734deb91, "_gpl");
SYMBOL_CRC(octeon_register_device, 0x8dcbee5d, "_gpl");
SYMBOL_CRC(octeon_deregister_device, 0xaf4afa82, "_gpl");
SYMBOL_CRC(octeon_allocate_ioq_vector, 0x30247496, "_gpl");
SYMBOL_CRC(octeon_free_ioq_vector, 0x3ada2c28, "_gpl");
SYMBOL_CRC(octeon_setup_instr_queues, 0x67800996, "_gpl");
SYMBOL_CRC(octeon_setup_output_queues, 0xe91f7c5f, "_gpl");
SYMBOL_CRC(octeon_set_io_queues_off, 0x48467abe, "_gpl");
SYMBOL_CRC(octeon_init_dispatch_list, 0xa84a72cf, "_gpl");
SYMBOL_CRC(octeon_delete_dispatch_list, 0x661ceb19, "_gpl");
SYMBOL_CRC(octeon_register_dispatch_fn, 0xc1d2053d, "_gpl");
SYMBOL_CRC(octeon_core_drv_init, 0xc6abc5b1, "_gpl");
SYMBOL_CRC(octeon_get_tx_qsize, 0xd1e5ac29, "_gpl");
SYMBOL_CRC(octeon_get_rx_qsize, 0x565d3226, "_gpl");
SYMBOL_CRC(octeon_get_conf, 0x139358c0, "_gpl");
SYMBOL_CRC(lio_get_device, 0x62a4e75d, "_gpl");
SYMBOL_CRC(lio_pci_readq, 0x192c515c, "_gpl");
SYMBOL_CRC(lio_pci_writeq, 0x347fbc28, "_gpl");
SYMBOL_CRC(octeon_mem_access_ok, 0xb0474305, "_gpl");
SYMBOL_CRC(octeon_wait_for_ddr_init, 0xfcd9a6d4, "_gpl");
SYMBOL_CRC(lio_enable_irq, 0xe0fa5ff2, "_gpl");
SYMBOL_CRC(lio_setup_cn66xx_octeon_device, 0x8ba5bffc, "_gpl");
SYMBOL_CRC(lio_setup_cn68xx_octeon_device, 0xd885b33c, "_gpl");
SYMBOL_CRC(setup_cn23xx_octeon_pf_device, 0x8ea3e7c3, "_gpl");
SYMBOL_CRC(cn23xx_fw_loaded, 0x5d9b149d, "_gpl");
SYMBOL_CRC(cn23xx_tell_vf_its_macaddr_changed, 0x9448a80a, "_gpl");
SYMBOL_CRC(cn23xx_get_vf_stats, 0x9cd25dec, "_gpl");
SYMBOL_CRC(cn23xx_vf_ask_pf_to_do_flr, 0xd13fe23f, "_gpl");
SYMBOL_CRC(cn23xx_octeon_pfvf_handshake, 0x4a49e93e, "_gpl");
SYMBOL_CRC(cn23xx_setup_octeon_vf_device, 0xa7ba5c0e, "_gpl");
SYMBOL_CRC(octeon_pci_read_core_mem, 0xdd138495, "_gpl");
SYMBOL_CRC(octeon_pci_write_core_mem, 0x13339af1, "_gpl");
SYMBOL_CRC(octeon_read_device_mem64, 0x91cc0930, "_gpl");
SYMBOL_CRC(octeon_read_device_mem32, 0x27937561, "_gpl");
SYMBOL_CRC(octeon_write_device_mem32, 0xc2c6dda4, "_gpl");
SYMBOL_CRC(octeon_droq_check_hw_for_pkts, 0xb65f383a, "_gpl");
SYMBOL_CRC(octeon_delete_droq, 0xdfaa9bce, "_gpl");
SYMBOL_CRC(octeon_droq_process_packets, 0xeb196076, "_gpl");
SYMBOL_CRC(octeon_unregister_droq_ops, 0xa535cd6e, "_gpl");
SYMBOL_CRC(octeon_alloc_soft_command_resp, 0xa167b920, "_gpl");
SYMBOL_CRC(octnet_send_nic_data_pkt, 0xf12f5198, "_gpl");
SYMBOL_CRC(octnet_send_nic_ctrl_pkt, 0x6b0c15e4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x909c9cd5, "pci_request_region" },
	{ 0x23fd3028, "vmalloc_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc1548f7b, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7dcac306, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e0c711d, "vzalloc_node" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xc71c375, "dump_page" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd118ff0c, "dma_unmap_page_attrs" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0xb064b1c1, "skb_add_rx_frag" },
	{ 0x79c92f9, "pci_disable_msi" },
	{ 0xa1450749, "ptp_clock_index" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0xae942ba8, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa116b1fa, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2a86319b, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd2f8593d, "dev_addr_mod" },
	{ 0x545503c, "eth_type_trans" },
	{ 0xe4b9d9d3, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdd3d8195, "dma_map_page_attrs" },
	{ 0xe97cdfb4, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x20f13b2c, "__napi_schedule" },
	{ 0xc4be5be8, "pci_enable_msix_range" },
	{ 0x52a6bb3a, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf17636c9, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x5dedce4d, "_dev_info" },
	{ 0x81b6ab6f, "napi_gro_receive" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x63b46386, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x92950597, "_dev_err" },
	{ 0xc4ed4ac6, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x289e26a4, "netif_set_real_num_tx_queues" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x3caa451f, "netif_set_real_num_rx_queues" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3831e859, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x8ee70d4e, "pcie_flr" },
	{ 0x9166fada, "strncpy" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x716f3c0a, "ethtool_op_get_link" },
	{ 0xc79a4892, "netif_set_xps_queue" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x380fbaf9, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x59ad19dd, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x95a7eefa, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x38c5ac3a, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa3a440a7, "_dev_notice" },
	{ 0xdc83da8a, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb0bffc71, "call_netdevice_notifiers" },
	{ 0xc3adcece, "alloc_pages" },
	{ 0x6467c56, "__folio_put" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1b3e048b, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe3d70553, "kmalloc_trace" },
	{ 0xd6ea2292, "__napi_schedule_irqoff" },
	{ 0x6a6cbc62, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xdf706667, "dev_kfree_skb_any_reason" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfafacc3e, "pci_release_region" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x276e3a7a, "pci_write_config_dword" },
	{ 0xd19f02fa, "kmalloc_caches" },
	{ 0xada1737f, "netdev_info" },
	{ 0xa080c5e5, "smp_call_function_single_async" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "ptp");


MODULE_INFO(srcversion, "2F361FC316BAA6A2E9F2389");
