#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(net_failover_create, "_gpl", "");
KSYMTAB_FUNC(net_failover_destroy, "_gpl", "");

SYMBOL_CRC(net_failover_create, 0x364f15ba, "_gpl");
SYMBOL_CRC(net_failover_destroy, 0x0bd1fe21, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xffc0a5b5, "vlan_uses_dev" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x677c9bfa, "netdev_err" },
	{ 0xdd64e639, "strscpy" },
	{ 0x5f783681, "vlan_vid_del" },
	{ 0x2f083ac5, "vlan_vid_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x39619d98, "dev_uc_sync_multiple" },
	{ 0x9a0081cd, "dev_mc_sync_multiple" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x6e4a3317, "netdev_pick_tx" },
	{ 0x87ca104d, "alloc_etherdev_mqs" },
	{ 0xd2f8593d, "dev_addr_mod" },
	{ 0x70984768, "register_netdev" },
	{ 0xb51fca65, "netif_carrier_off" },
	{ 0x69a07e8c, "failover_register" },
	{ 0x92950597, "_dev_err" },
	{ 0x8dfd7de2, "free_netdev" },
	{ 0x89f370a9, "unregister_netdev" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x39de64d1, "netif_device_detach" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4c894d20, "failover_slave_unregister" },
	{ 0x5cc9b534, "failover_unregister" },
	{ 0xf1ebc85a, "unregister_netdevice_queue" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xc7e6ea32, "__ethtool_get_link_ksettings" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xd81cae50, "__dev_queue_xmit" },
	{ 0xdf706667, "dev_kfree_skb_any_reason" },
	{ 0xadf69059, "netdev_core_stats_alloc" },
	{ 0x37acbe7f, "netif_carrier_on" },
	{ 0x380fbaf9, "netif_tx_wake_queue" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9b03be59, "netdev_lower_state_changed" },
	{ 0xba30dd09, "netif_tx_stop_all_queues" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8a96d037, "vlan_vids_add_by_dev" },
	{ 0xb0bffc71, "call_netdevice_notifiers" },
	{ 0x716f3c0a, "ethtool_op_get_link" },
	{ 0x694811de, "passthru_features_check" },
	{ 0x1f5eefed, "eth_validate_addr" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ceaa080, "dev_open" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x7468f40b, "netdev_change_features" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x82560060, "vlan_vids_del_by_dev" },
	{ 0xbe73636, "dev_uc_unsync" },
	{ 0x2c055065, "dev_mc_unsync" },
	{ 0x9ef01a6b, "dev_close" },
	{ 0x7285e913, "dev_get_stats" },
	{ 0xada1737f, "netdev_info" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdde0a7d0, "dev_set_mtu" },
	{ 0x5edde0ce, "pci_bus_type" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "failover");


MODULE_INFO(srcversion, "DF2C47AF2AEAC55E208CB5C");
