#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_disable_lps_deep_mode, "", "");
KSYMTAB_DATA(rtw_debug_mask, "", "");
KSYMTAB_FUNC(rtw_dump_fw, "", "");
KSYMTAB_FUNC(rtw_dump_reg, "", "");
KSYMTAB_FUNC(rtw_set_rx_freq_band, "", "");
KSYMTAB_FUNC(rtw_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw_core_init, "", "");
KSYMTAB_FUNC(rtw_core_deinit, "", "");
KSYMTAB_FUNC(rtw_register_hw, "", "");
KSYMTAB_FUNC(rtw_unregister_hw, "", "");
KSYMTAB_DATA(rtw_ops, "", "");
KSYMTAB_FUNC(check_hw_ready, "", "");
KSYMTAB_FUNC(rtw_restore_reg, "", "");
KSYMTAB_FUNC(rtw_tx_fill_tx_desc, "", "");
KSYMTAB_FUNC(rtw_tx_report_enqueue, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_rsvd_page_get, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_h2c_get, "", "");
KSYMTAB_FUNC(rtw_tx_ac_to_hwq, "", "");
KSYMTAB_FUNC(rtw_tx_queue_mapping, "", "");
KSYMTAB_FUNC(rtw_rx_stats, "", "");
KSYMTAB_FUNC(rtw_rx_fill_rx_status, "", "");
KSYMTAB_FUNC(rtw_set_channel_mac, "", "");
KSYMTAB_DATA(rtw_rate_section, "", "");
KSYMTAB_DATA(rtw_rate_size, "", "");
KSYMTAB_FUNC(rtw_phy_set_edcca_th, "", "");
KSYMTAB_FUNC(rtw_phy_init, "", "");
KSYMTAB_FUNC(rtw_phy_parsing_cfo, "", "");
KSYMTAB_FUNC(rtw_phy_rf_power_2_rssi, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_mix, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_phy_cond, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_bb_pg, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_txpwr_lmt, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_mac, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_agc, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_bb, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_rf, "", "");
KSYMTAB_FUNC(rtw_phy_load_tables, "", "");
KSYMTAB_FUNC(rtw_phy_get_tx_power_index, "", "");
KSYMTAB_FUNC(rtw_phy_set_tx_power_level, "", "");
KSYMTAB_FUNC(rtw_phy_config_swing_table, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_avg, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_thermal_changed, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_delta, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_pwridx, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_lck, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_iqk, "", "");
KSYMTAB_FUNC(rtw_coex_write_scbd, "", "");
KSYMTAB_FUNC(rtw_coex_read_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_coex_write_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_read8_physical_efuse, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_rx_irqsafe, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_isr, "", "");
KSYMTAB_FUNC(rtw_fw_do_iqk, "", "");
KSYMTAB_FUNC(rtw_fw_inform_rfk_status, "", "");
KSYMTAB_FUNC(rtw_power_mode_change, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_set_gid_table, "", "");
KSYMTAB_FUNC(rtw_bf_phy_init, "", "");
KSYMTAB_FUNC(rtw_bf_cfg_csi_rate, "", "");
KSYMTAB_FUNC(rtw_regd_get, "", "");

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0x5e0963e3, "");
SYMBOL_CRC(rtw_dump_reg, 0xc1790d23, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0x76781c1d, "");
SYMBOL_CRC(rtw_chip_info_setup, 0x8c78a36d, "");
SYMBOL_CRC(rtw_core_init, 0x362af627, "");
SYMBOL_CRC(rtw_core_deinit, 0x3b104816, "");
SYMBOL_CRC(rtw_register_hw, 0xff9c25cc, "");
SYMBOL_CRC(rtw_unregister_hw, 0x59164600, "");
SYMBOL_CRC(rtw_ops, 0xc937b673, "");
SYMBOL_CRC(check_hw_ready, 0xf2ffd338, "");
SYMBOL_CRC(rtw_restore_reg, 0xad6b8bb1, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0x87b70e1a, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0x357625a8, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0xaee2915c, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0xc4a1275e, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0x44446fd7, "");
SYMBOL_CRC(rtw_rx_stats, 0xc80efff2, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0x6df6b6a0, "");
SYMBOL_CRC(rtw_set_channel_mac, 0xc1487ee0, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0xe1bbb661, "");
SYMBOL_CRC(rtw_phy_init, 0x9ef239cf, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0xba01d1a4, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0xdbefbc48, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0xf9671f9b, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0xa8001a09, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0x4b54989a, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0xcbcbde42, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0xc2538e60, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0x8973be78, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0xe1567030, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0x5b2a0092, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0x6a4e2470, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0xd1d24f62, "");
SYMBOL_CRC(rtw_phy_load_tables, 0x018a3117, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0x773c63c2, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0x8f8cc5ab, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0x9c3cb135, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0xb60f14a7, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0xa0057076, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0xbfcdad43, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0x69ab9ded, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0xf420bbcc, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0x6d3b93f4, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0x7c637e9b, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0x834c69a2, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0x8f2dcfe8, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0xc53f61fb, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0xebf7874d, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0xf9db8e2d, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0x6186ae8e, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0x12c05bf5, "");
SYMBOL_CRC(rtw_power_mode_change, 0xc33e9bcf, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0x5f36ff76, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0xdd90f98e, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0x8c1da79e, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0x72a79bf0, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0x31e65d19, "");
SYMBOL_CRC(rtw_bf_phy_init, 0x271414f1, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0x657b354a, "");
SYMBOL_CRC(rtw_regd_get, 0xf335cd34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xca6954a6, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7e2e7b14, "ieee80211_connection_loss" },
	{ 0x17dec625, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7615afdb, "ieee80211_txq_get_depth" },
	{ 0x460a1388, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc1548f7b, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xafa9c1e7, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x83a48581, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8b949a9, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe6ee7ef1, "ieee80211_iterate_stations_atomic" },
	{ 0xc0dad914, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6211fb5e, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf26079b4, "ieee80211_nullfunc_get" },
	{ 0xf5500a3e, "ieee80211_pspoll_get" },
	{ 0xf243476d, "ieee80211_register_hw" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x22b3e5ef, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5a89982f, "skb_queue_purge_reason" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5edf8387, "ieee80211_find_sta" },
	{ 0x502394f9, "ieee80211_iter_keys" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf73a6351, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xec81a125, "__alloc_skb" },
	{ 0x5dedce4d, "_dev_info" },
	{ 0x304191d7, "skb_queue_tail" },
	{ 0x7fe7f570, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0x18f003dd, "wiphy_to_ieee80211_hw" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x56657a7f, "ieee80211_queue_delayed_work" },
	{ 0x59c35c36, "ieee80211_proberesp_get" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x92950597, "_dev_err" },
	{ 0x299a5243, "request_firmware_nowait" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x61ae8a4d, "ieee80211_find_sta_by_ifaddr" },
	{ 0x30e6838c, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9846be9e, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x71b819c, "ieee80211_wake_queues" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xaef3363, "ieee80211_iter_keys_rcu" },
	{ 0xa792bbc5, "ieee80211_free_txskb" },
	{ 0xb30f6ce1, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbef2a08c, "ieee80211_tx_dequeue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x59ad19dd, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x38c5ac3a, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x4a1b0b36, "ieee80211_stop_queues" },
	{ 0x655e3714, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x999e8297, "vfree" },
	{ 0xa0314311, "ieee80211_scan_completed" },
	{ 0x77cf82af, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x3278f5a8, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x15fc5832, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd1c7113a, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xb815f202, "skb_copy" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xbbed6bc2, "ieee80211_cqm_rssi_notify" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe3ae72f0, "ieee80211_request_smps" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe3d70553, "kmalloc_trace" },
	{ 0x3d090305, "ieee80211_queue_work" },
	{ 0xdf706667, "dev_kfree_skb_any_reason" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd19f02fa, "kmalloc_caches" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "F0AF00723B6B4B68F68159E");
