#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(esp6_output_head, "_gpl", "");
KSYMTAB_FUNC(esp6_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp6_input_done2, "_gpl", "");

SYMBOL_CRC(esp6_output_head, 0x45ae6036, "_gpl");
SYMBOL_CRC(esp6_output_tail, 0xca858aec, "_gpl");
SYMBOL_CRC(esp6_input_done2, 0x605fdc15, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x284f8bfb, "xfrm_unregister_type" },
	{ 0xb64b0add, "crypto_destroy_tfm" },
	{ 0xc5dd0290, "xfrm6_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2f510fd7, "crypto_alloc_aead" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x37329330, "crypto_aead_setauthsize" },
	{ 0x22a512e3, "crypto_aead_setkey" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x41e7d70c, "xfrm_state_lookup" },
	{ 0x6f73be53, "make_kuid" },
	{ 0xcb5f2b21, "ip6_redirect" },
	{ 0xb8121d83, "ip6_update_pmtu" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa70391ef, "__xfrm_state_destroy" },
	{ 0xd5210458, "skb_copy_bits" },
	{ 0xaab91906, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x82d82a8e, "ipv6_skip_exthdr" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x3f10b049, "km_new_mapping" },
	{ 0xe6214b8, "skb_pull_rcsum" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3a260df7, "xfrm_input_resume" },
	{ 0x7692e0db, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xd956bd69, "skb_to_sgvec" },
	{ 0x59c27cd1, "crypto_aead_decrypt" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x9846be9e, "skb_push" },
	{ 0x938c6d2a, "__pskb_pull_tail" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x54481576, "napi_pp_put_page" },
	{ 0xae942ba8, "__put_devmap_managed_page_refs" },
	{ 0x6467c56, "__folio_put" },
	{ 0xc71c375, "dump_page" },
	{ 0xa1046654, "xfrm_dev_resume" },
	{ 0x81b5dc16, "xfrm_output_resume" },
	{ 0x4dccdc11, "__skb_ext_del" },
	{ 0x30e6838c, "kfree_skb_reason" },
	{ 0xfb578fc5, "memset" },
	{ 0x8494c05b, "crypto_aead_encrypt" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x85d9cad6, "skb_page_frag_refill" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb0b237a8, "pskb_put" },
	{ 0xfcc4f766, "xfrm_state_mtu" },
	{ 0x744c938e, "xfrm6_rcv" },
	{ 0x7a3d5627, "xfrm_input" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x3f993919, "skb_checksum" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x90973502, "xfrm_register_type" },
	{ 0xbc535746, "xfrm6_protocol_register" },
	{ 0x122c3a7e, "_printk" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A39B3335E42DB45A3B390F2");
