#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0xbd6529d4, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x20bee21b, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x6e6096b3, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x8f1bbd86, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x167dcde8, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x2a92d56e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x3e25f51e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x112d0d24, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xb0a07190, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xbbb8b8d0, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xc43449e9, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x483b6dd0, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x3aa2e782, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x15bcaf20, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x87120ee1, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x9c64de30, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x48d63877, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x60b5fa64, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x0e233342, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x4384d818, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xc7a2463a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x79791fec, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x1e3de0d0, "trace_event_buffer_reserve" },
	{ 0x5176d906, "trace_event_buffer_commit" },
	{ 0x328cd67d, "__trace_trigger_soft_disabled" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x955c7d65, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0xf05ca607, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x5a88e95a, "bpf_trace_run1" },
	{ 0x86803c24, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x18df9ed3, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8f347b25, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0xc8f1090c, "udp_sock_create6" },
	{ 0x50da1190, "udp_sock_create4" },
	{ 0x47065918, "sock_create_kern" },
	{ 0x950ba738, "kernel_bind" },
	{ 0x3c525595, "kernel_connect" },
	{ 0x449e3984, "kernel_sock_shutdown" },
	{ 0x8a3dc62b, "sock_release" },
	{ 0xd19f02fa, "kmalloc_caches" },
	{ 0xe3d70553, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x30e6838c, "kfree_skb_reason" },
	{ 0x3096f1e7, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x83a48581, "skb_dequeue" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x304191d7, "skb_queue_tail" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc93009c1, "udp_set_csum" },
	{ 0xe3419ac0, "ip_queue_xmit" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x20c1270a, "pskb_expand_head" },
	{ 0x38e03660, "udp6_set_csum" },
	{ 0xe709501c, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xed2418a2, "dst_release" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xbc9e65b3, "sockfd_lookup" },
	{ 0x6fa25bc3, "lock_sock_nested" },
	{ 0x30568e7d, "release_sock" },
	{ 0x9f472436, "fput" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x97e80d0b, "setup_udp_tunnel_sock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x938c6d2a, "__pskb_pull_tail" },
	{ 0x122bf08f, "trace_event_reg" },
	{ 0xa9a10a71, "trace_event_raw_init" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "AF0C00F0A96C0B873252120");
