#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mpls_output_possible, "_gpl", "");
KSYMTAB_FUNC(mpls_dev_mtu, "_gpl", "");
KSYMTAB_FUNC(mpls_pkt_too_big, "_gpl", "");
KSYMTAB_FUNC(mpls_stats_inc_outucastpkts, "_gpl", "");
KSYMTAB_FUNC(nla_put_labels, "_gpl", "");
KSYMTAB_FUNC(nla_get_labels, "_gpl", "");

SYMBOL_CRC(mpls_output_possible, 0x910cebd6, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0xfb806bf5, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0x25d808d2, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0x8285078e, "_gpl");
SYMBOL_CRC(nla_put_labels, 0x43e765a8, "_gpl");
SYMBOL_CRC(nla_get_labels, 0x8ee316eb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf19bfe48, "netlink_strict_get_check" },
	{ 0x19d78e06, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb72bd64c, "__nlmsg_put" },
	{ 0x6625e131, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xafa9c1e7, "consume_skb" },
	{ 0xa4233558, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x36fa32bb, "nla_reserve" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x8dea576d, "neigh_xmit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x48ebbee3, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20c1270a, "pskb_expand_head" },
	{ 0x97bdc21b, "register_pernet_subsys" },
	{ 0xce0e3ebf, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x66508fcd, "rtnl_af_register" },
	{ 0xec81a125, "__alloc_skb" },
	{ 0xc7e3d648, "rtnl_set_sk_err" },
	{ 0x401d3281, "rtnl_unicast" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb121ae57, "nla_reserve_64bit" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xcd3c1a85, "ip_valid_fib_dump_req" },
	{ 0x4724f4f3, "__dev_get_by_index" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x60efc88e, "ipv6_stub" },
	{ 0xc4ed4ac6, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x4244856, "nla_reserve_nohdr" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x11cfb18a, "rtnl_af_unregister" },
	{ 0x3575b6c2, "dev_remove_pack" },
	{ 0x7eeb38be, "dev_get_by_index" },
	{ 0x30e6838c, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x9846be9e, "skb_push" },
	{ 0xe82eed5d, "nla_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x83755144, "__rtnl_register_many" },
	{ 0xcd279169, "nla_find" },
	{ 0x59b4b47d, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9182715e, "ip_tunnel_encap_del_ops" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5627ed, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x938c6d2a, "__pskb_pull_tail" },
	{ 0x628a1b56, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7bfdd3ae, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xdceae2c5, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xed2418a2, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0xe3d70553, "kmalloc_trace" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x21693590, "dev_get_flags" },
	{ 0xa20308e5, "__rtnl_unregister_many" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd19f02fa, "kmalloc_caches" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "86705630715E9899BE1B164");
