#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xe348fb84, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x841c50c3, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x12182a35, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x6f7c4b9e, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x56294b33, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x403bf9b2, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x08ccc65a, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0xe478375a, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xcb905ebc, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x91a572d4, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x8d746c63, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xc515c8c4, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xec027010, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x45a21d19, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x78986db9, "");
SYMBOL_CRC(nf_nat_follow_master, 0x65db10c9, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0x167130ee, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xe6775cab, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xb403e022, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xe1e75b8d, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xd881378d, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x0eca45f4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c894e4, "nf_ct_ext_add" },
	{ 0x58758445, "__do_once_done" },
	{ 0x406fef8f, "nf_conntrack_find_get" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x8f3b13fc, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6a0cca45, "nf_ip6_checksum" },
	{ 0xd5210458, "skb_copy_bits" },
	{ 0x540bfb03, "nf_hook_entries_insert_raw" },
	{ 0x6f144efe, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x1ddeec77, "nf_ct_seqadj_set" },
	{ 0xc1548f7b, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x1db3d107, "nf_ct_helper_expectfn_unregister" },
	{ 0x836dd659, "__xfrm_decode_session" },
	{ 0x85675e0c, "__nf_ct_ext_find" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x39995e3e, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x6da2389f, "ip6_route_me_harder" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20c1270a, "pskb_expand_head" },
	{ 0x97bdc21b, "register_pernet_subsys" },
	{ 0x833bdf35, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x564868d7, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x82d82a8e, "ipv6_skip_exthdr" },
	{ 0x836dd8e8, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x7cfedaed, "module_put" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x8704a04c, "ipv6_dev_get_saddr" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x5f6b2dc3, "nf_ct_expect_related_report" },
	{ 0xef3f833f, "nf_conntrack_alter_reply" },
	{ 0x24af372f, "ip_route_me_harder" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5eecf274, "nf_hook_entries_delete_raw" },
	{ 0xe7791353, "skb_ensure_writable" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x6a0c3339, "nf_unregister_net_hooks" },
	{ 0x99306b1, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5627ed, "unregister_pernet_subsys" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x3f993919, "skb_checksum" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x3c0df45d, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x5ce0063b, "nf_ip_checksum" },
	{ 0x2e2c1f49, "register_btf_kfunc_id_set" },
	{ 0x29e2dcfc, "nf_ct_iterate_destroy" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x66f117b1, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbf46251b, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5ca8250c, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x47dab848, "inet_proto_csum_replace4" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xed2418a2, "dst_release" },
	{ 0xb6ce01ff, "nf_ct_l4proto_find" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x82dc82e6, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x6d488267, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xe3d70553, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xd19f02fa, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "E9A79191FDE7BC0117A1462");
