#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(taprio_offload_get, "_gpl", "");
KSYMTAB_FUNC(taprio_offload_free, "_gpl", "");

SYMBOL_CRC(taprio_offload_get, 0x16f8ba5d, "_gpl");
SYMBOL_CRC(taprio_offload_free, 0x6a6b1c12, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3756a453, "dev_activate" },
	{ 0xd924bf6e, "dev_graft_qdisc" },
	{ 0xc898bd83, "qdisc_put" },
	{ 0x84a1a1c4, "dev_deactivate" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd5210458, "skb_copy_bits" },
	{ 0xbd312347, "netif_skb_features" },
	{ 0x17f0f78f, "__skb_gso_segment" },
	{ 0xafa9c1e7, "consume_skb" },
	{ 0xbc2fb406, "qdisc_tree_reduce_backlog" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcb00865b, "netdev_reset_tc" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x942dd0d2, "qdisc_offload_query_caps" },
	{ 0x76e2814b, "mqprio_qopt_reconstruct" },
	{ 0xcede419b, "mqprio_fp_to_offload" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd19f02fa, "kmalloc_caches" },
	{ 0xe3d70553, "kmalloc_trace" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa2095ce1, "mqprio_validate_qopt" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x399756c, "netdev_set_num_tc" },
	{ 0x95f219aa, "netdev_set_tc_queue" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x3860440a, "hrtimer_active" },
	{ 0x8f49645e, "hrtimer_init" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe4f93ed, "hrtimer_start_range_ns" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7ad7095c, "pfifo_qdisc_ops" },
	{ 0x2f94144b, "qdisc_create_dflt" },
	{ 0x75db5872, "qdisc_hash_add" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x86571fa8, "__netif_schedule" },
	{ 0xe81dcfb8, "nla_put_64bit" },
	{ 0xe82eed5d, "nla_put" },
	{ 0x628a1b56, "skb_trim" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x682d870d, "gnet_stats_copy_basic" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x649a7563, "gnet_stats_copy_queue" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xebe55e31, "register_qdisc" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xc7e6ea32, "__ethtool_get_link_ksettings" },
	{ 0x59c95179, "__dynamic_netdev_dbg" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x82fbd1df, "hrtimer_cancel" },
	{ 0x58aae3b0, "qdisc_reset" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfd2047a9, "unregister_qdisc" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3157032e, "ethtool_dev_mm_supported" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "sch_mqprio_lib");


MODULE_INFO(srcversion, "8B0775C98161B54B3102260");
