#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(smc_hash_sk, "_gpl", "");
KSYMTAB_FUNC(smc_unhash_sk, "_gpl", "");
KSYMTAB_DATA(smc_proto, "_gpl", "");
KSYMTAB_DATA(smc_proto6, "_gpl", "");
KSYMTAB_DATA(__tracepoint_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__traceiter_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__tracepoint_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__tracepoint_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__tracepoint_smcr_link_down, "", "");
KSYMTAB_FUNC(__traceiter_smcr_link_down, "", "");
KSYMTAB_DATA(__SCK__tp_func_smcr_link_down, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smcr_link_down, "", "");

SYMBOL_CRC(smc_hash_sk, 0x2a799110, "_gpl");
SYMBOL_CRC(smc_unhash_sk, 0x7e900ac1, "_gpl");
SYMBOL_CRC(smc_proto, 0xbb05edf9, "_gpl");
SYMBOL_CRC(smc_proto6, 0x312e35c7, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0x0bf9b0eb, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0xb7a0aa2b, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0x8aeb7ac4, "");
SYMBOL_CRC(__SCT__tp_func_smc_switch_to_fallback, 0x1e612b77, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0x27b5602d, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0xce288f5f, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0xbc1fff75, "");
SYMBOL_CRC(__SCT__tp_func_smc_tx_sendmsg, 0x87ccd0c7, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0xa5147dcc, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0x3ca8cc57, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0x3ebee294, "");
SYMBOL_CRC(__SCT__tp_func_smc_rx_recvmsg, 0x3ac4e1c7, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0x739d7ad3, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0x52e7ff1e, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0xe837e58b, "");
SYMBOL_CRC(__SCT__tp_func_smcr_link_down, 0x3bcd3bb9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x25647e5, "netdev_lower_get_next" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x45ce71ef, "sk_send_sigurg" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xcd56625a, "ib_unregister_client" },
	{ 0x9ae1ea3a, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb72bd64c, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x12912892, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xc71c375, "dump_page" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x955c7d65, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x884e395c, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xe81dcfb8, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x162d1d2d, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x328cd67d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd118ff0c, "dma_unmap_page_attrs" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xf05ca607, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x950ba738, "kernel_bind" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x445a5ee1, "dma_sync_single_for_device" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xc96c281, "genlmsg_put" },
	{ 0xa9a10a71, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xae942ba8, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x8ad55768, "ib_dereg_mr_user" },
	{ 0xe2669cf1, "__tracepoint_sk_data_ready" },
	{ 0x86803c24, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb59d48f, "kernel_accept" },
	{ 0x823f8e80, "rdma_dev_access_netns" },
	{ 0x5133defe, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x48ebbee3, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xdba3b91a, "get_device" },
	{ 0xc57af83e, "sk_stream_error" },
	{ 0x41aa5e3d, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x843cdcf2, "sock_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f27b7c6, "sk_error_report" },
	{ 0x97bdc21b, "register_pernet_subsys" },
	{ 0xf64296ef, "dev_driver_string" },
	{ 0x5176d906, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xce0e3ebf, "register_net_sysctl_sz" },
	{ 0xbb76fe08, "tcp_abort" },
	{ 0x8b5093d6, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdd3d8195, "dma_map_page_attrs" },
	{ 0x9bee2801, "splice_to_pipe" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1bf5d990, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8bc18791, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x293a181e, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x44129f59, "ib_register_event_handler" },
	{ 0xec81a125, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf17636c9, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x26dbd820, "ib_unregister_event_handler" },
	{ 0x77512f0e, "proto_register" },
	{ 0x52d6d2f8, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x617242ca, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf196b93f, "ib_map_mr_sg" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xeeb0913a, "generic_pipe_buf_get" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x79791fec, "perf_trace_run_bpf_submit" },
	{ 0x835ddb75, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x9846eaf9, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x2ad1a8a7, "netlink_unicast" },
	{ 0x7ccf0105, "__SCK__tp_func_sk_data_ready" },
	{ 0x9af75953, "rdma_put_gid_attr" },
	{ 0x178af8b0, "kernel_getsockname" },
	{ 0x3096f1e7, "sk_free" },
	{ 0x64f6cb4c, "sock_wake_async" },
	{ 0x30e6838c, "kfree_skb_reason" },
	{ 0x449e3984, "kernel_sock_shutdown" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x11963ef1, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0xe82eed5d, "nla_put" },
	{ 0x122bf08f, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xfb74e910, "proc_douintvec_minmax" },
	{ 0xbc0205ac, "dma_need_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xeb6a5e36, "iov_iter_kvec" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x6fa25bc3, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xce221117, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x79a1716d, "sk_alloc" },
	{ 0xe9b28a7b, "ib_destroy_qp_user" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x5627ed, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x351a6d63, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x3c525595, "kernel_connect" },
	{ 0xfde319c8, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4affb8f8, "sk_wait_data" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x28500e13, "proc_douintvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x607fd3c2, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x61a34497, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xc193ba88, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0x628a1b56, "skb_trim" },
	{ 0x46e01449, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2e073219, "tcp_register_ulp" },
	{ 0xa6f7009b, "sk_common_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xaa685df1, "kernel_listen" },
	{ 0xdab42bfc, "ib_dma_virt_map_sg" },
	{ 0xf686c648, "neigh_destroy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x1e3de0d0, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x7b0f653a, "current_work" },
	{ 0x47065918, "sock_create_kern" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xc3adcece, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6467c56, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf9f2197f, "sock_recvmsg" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xf0265bd, "dev_get_by_name" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xed2418a2, "dst_release" },
	{ 0x952be704, "sk_stream_wait_connect" },
	{ 0xb8d41077, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x8a3dc62b, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe2522b0e, "ib_create_qp_kernel" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xb1a4cd50, "netdev_walk_all_lower_dev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6f1a580, "vlan_dev_vlan_id" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0x5c564e32, "ib_dealloc_pd_user" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xcf00df70, "rdma_get_gid_attr" },
	{ 0x5513501e, "dma_unmap_sg_attrs" },
	{ 0x5bbbb379, "genl_unregister_family" },
	{ 0xe3d70553, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x2c279b40, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x6519a9a9, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x850d3603, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xfffa65dd, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd19f02fa, "kmalloc_caches" },
	{ 0x30568e7d, "release_sock" },
	{ 0xb44fb84, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "5BC49DECA05208D673920F5");
